Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class DispatchedHttpServletResponse.StateAware

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.jboss.portal.portlet.impl.jsr168.DispatchedHttpServletResponse
                  org.jboss.portal.portlet.impl.jsr168.DispatchedHttpServletResponse.StateAware

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

Enclosing class:
  DispatchedHttpServletResponse

    public static final class DispatchedHttpServletResponse.StateAware

extends DispatchedHttpServletResponse

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.portlet.impl.jsr168.DispatchedHttpServletResponse
`DispatchedHttpServletResponse.Mime, DispatchedHttpServletResponse.StateAware`

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`DispatchedHttpServletResponse.StateAware(DispatchedHttpServletRequest req, StateAwareResponseImpl saresp, javax.servlet.http.HttpServletResponse dresp)`

Method Summary
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()`
`java.util.Locale` | `getLocale()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `setBufferSize(int i)`
`void` | `setContentType(java.lang.String contentType)`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.DispatchedHttpServletResponse
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setCharacterEncoding, setContentLength, setDateHeader, setHeader, setIntHeader, setLocale, setStatus, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`getResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DispatchedHttpServletResponse.StateAware

    public DispatchedHttpServletResponse.StateAware(DispatchedHttpServletRequest req,
                                                    StateAwareResponseImpl saresp,
                                                    javax.servlet.http.HttpServletResponse dresp)

Method Detail

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`
  Specified by:
    `getCharacterEncoding` in class `DispatchedHttpServletResponse`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletResponse`
  Specified by:
    `getContentType` in class `DispatchedHttpServletResponse`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`
  Specified by:
    `getLocale` in class `DispatchedHttpServletResponse`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`
  Specified by:
    `resetBuffer` in class `DispatchedHttpServletResponse`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`
  Specified by:
    `reset` in class `DispatchedHttpServletResponse`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`
  Specified by:
    `getBufferSize` in class `DispatchedHttpServletResponse`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Specified by:
    `getOutputStream` in class `DispatchedHttpServletResponse`
  Throws:
    `java.io.IOException`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Specified by:
    `getWriter` in class `DispatchedHttpServletResponse`
  Throws:
    `java.io.IOException`

### setBufferSize

    public void setBufferSize(int i)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`
  Specified by:
    `setBufferSize` in class `DispatchedHttpServletResponse`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
  Specified by:
    `flushBuffer` in class `DispatchedHttpServletResponse`
  Throws:
    `java.io.IOException`

### setContentType

    public void setContentType(java.lang.String contentType)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`
  Specified by:
    `setContentType` in class `DispatchedHttpServletResponse`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`
  Specified by:
    `isCommitted` in class `DispatchedHttpServletResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.